Regression webgl is not supported anymore

Bug #1438902 reported by taiebot65 on 2015-03-31
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
David Barth
Oxide
Undecided
Chris Coulson
oxide-qt (Ubuntu)
Undecided
Unassigned

Bug Description

Webgl used to work in oxide on mako.

vivid devel-proposed r156

Now webgl fails to display.

As a test http://peacekeeper.futuremark.com/ as a test for webgl

http://madebyevan.com/webgl-water/

Changed in canonical-devices-system-image:
assignee: nobody → David Barth (dbarth)
importance: Undecided → High
milestone: none → ww15-2015
status: New → Confirmed
Chris Coulson (chrisccoulson) wrote :

This is fixed in trunk

Changed in oxide:
assignee: nobody → Chris Coulson (chrisccoulson)
milestone: none → branch-1.7
status: New → Fix Released
affects: ubuntu → oxide-qt (Ubuntu)
David Barth (dbarth) on 2015-04-13
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Pat McGowan (pat-mcgowan) wrote :

Oxide 1.7 is not due to land until May and I am told this is not really a possible backport

Changed in canonical-devices-system-image:
milestone: ww15-2015 → ww21-2015
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in oxide-qt (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.7.8-0ubuntu0.14.10.1

---------------
oxide-qt (1.7.8-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * Update to v1.7.8
    - see USN-2610-1
    - Bump Chromium rev to 43.0.2357.65
    - Fix LP: #1452407 - Shutdown abort due to BrowserContext leak
    - Fix LP: #1449660 - Shutdown deadlock due to a race condition in
      WebContentsUnloader
    - Fix LP: #1435831 - Support EGLImage compositing path
    - Fix LP: #1435835 - Improve synchronization between webview and UI
      compositors
    - Fix LP: #1422408 - Enable accelerated canvas on Arale
    - Fix LP: #1426567 - Enable pinch-viewport on desktop
    - Fix LP: #1439829 - Select the correct GL platform when the Qt platform
      is "mirserver"
    - Fix LP: #1399195 - Improve network callback event tests
    - Fix LP: #1415662 - Cancelling a network request in onBeforeRedirect has
      no effect
    - Fix LP: #1422920 - Add LocationBarController.show(),
      LocationBarController.hide() and LocationBarController.animated
    - Fix LP: #1433472 - navigator.language doesn't work
    - Fix LP: #1435418 - Clean up the classes related to the private interfaces
      between the core library and the QtQuick library, making it more obvious
      where code should live
    - Fix LP: #1438902 - Enable webgl on mako
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
    - Use the simple backend for the network cache
    - Add EGLFS QPA support
    - Fix cross-compiling armhf builds on x86
  * Make sure that liboxideqtquick0 is stripped correctly

 -- Chris Coulson <email address hidden> Tue, 19 May 2015 17:43:04 +0100

Changed in oxide-qt (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.7.8-0ubuntu0.15.04.1

---------------
oxide-qt (1.7.8-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Update to v1.7.8
    - see USN-2610-1
    - Bump Chromium rev to 43.0.2357.65
    - Fix LP: #1452407 - Shutdown abort due to BrowserContext leak
    - Fix LP: #1449660 - Shutdown deadlock due to a race condition in
      WebContentsUnloader
    - Fix LP: #1435831 - Support EGLImage compositing path
    - Fix LP: #1435835 - Improve synchronization between webview and UI
      compositors
    - Fix LP: #1422408 - Enable accelerated canvas on Arale
    - Fix LP: #1426567 - Enable pinch-viewport on desktop
    - Fix LP: #1439829 - Select the correct GL platform when the Qt platform
      is "mirserver"
    - Fix LP: #1399195 - Improve network callback event tests
    - Fix LP: #1415662 - Cancelling a network request in onBeforeRedirect has
      no effect
    - Fix LP: #1422920 - Add LocationBarController.show(),
      LocationBarController.hide() and LocationBarController.animated
    - Fix LP: #1433472 - navigator.language doesn't work
    - Fix LP: #1435418 - Clean up the classes related to the private interfaces
      between the core library and the QtQuick library, making it more obvious
      where code should live
    - Fix LP: #1438902 - Enable webgl on mako
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
    - Use the simple backend for the network cache
    - Add EGLFS QPA support
    - Fix cross-compiling armhf builds on x86

 -- Chris Coulson <email address hidden> Tue, 19 May 2015 17:32:04 +0100

Changed in oxide-qt (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.7.8-0ubuntu0.14.04.1

---------------
oxide-qt (1.7.8-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to v1.7.8
    - see USN-2610-1
    - Bump Chromium rev to 43.0.2357.65
    - Fix LP: #1452407 - Shutdown abort due to BrowserContext leak
    - Fix LP: #1449660 - Shutdown deadlock due to a race condition in
      WebContentsUnloader
    - Fix LP: #1435831 - Support EGLImage compositing path
    - Fix LP: #1435835 - Improve synchronization between webview and UI
      compositors
    - Fix LP: #1422408 - Enable accelerated canvas on Arale
    - Fix LP: #1426567 - Enable pinch-viewport on desktop
    - Fix LP: #1439829 - Select the correct GL platform when the Qt platform
      is "mirserver"
    - Fix LP: #1399195 - Improve network callback event tests
    - Fix LP: #1415662 - Cancelling a network request in onBeforeRedirect has
      no effect
    - Fix LP: #1422920 - Add LocationBarController.show(),
      LocationBarController.hide() and LocationBarController.animated
    - Fix LP: #1433472 - navigator.language doesn't work
    - Fix LP: #1435418 - Clean up the classes related to the private interfaces
      between the core library and the QtQuick library, making it more obvious
      where code should live
    - Fix LP: #1438902 - Enable webgl on mako
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
    - Use the simple backend for the network cache
    - Add EGLFS QPA support
    - Fix cross-compiling armhf builds on x86
  * Make sure that liboxideqtquick0 is stripped correctly

 -- Chris Coulson <email address hidden> Tue, 19 May 2015 17:45:19 +0100

Changed in oxide-qt (Ubuntu):
status: Confirmed → Fix Released
Changed in canonical-devices-system-image:
status: In Progress → Fix Released
milestone: ww21-2015 → ww22-2015
taiebot65 (dedreuil) wrote :

Has this landed to willy because it still happens on willy?

Pat McGowan (pat-mcgowan) wrote :

Wily still has 1.7.7, 1.7.8 should show up shortly, it is in proposed

It is currently blocked by a boottest failure, which should be resolved
shortly

https://jenkins.qa.ubuntu.com/job/wily-boottest-oxide-qt/lastBuild/console

On Wed, May 27, 2015 at 5:36 PM, Pat McGowan <email address hidden>
wrote:

> Wily still has 1.7.7, 1.7.8 should show up shortly, it is in proposed
>
> --
> You received this bug notification because you are a bug assignee.
> Matching subscriptions: oxide in Ubuntu
> https://bugs.launchpad.net/bugs/1438902
>
> Title:
> Regression webgl is not supported anymore
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1438902/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers